Destination Location

This method involves a POST request to retrieve the destination location provided by Klikoo’s B2B.



A. Request Header

FieldFormatMandatoryLengthExample
Content-TypestringYapplication/json
Open-Api-Timestampyyyy-mm-dd'T'hh:mm:ss+07:00Y2024-02-07T10:28:35.000+07:0
Open-Api-SignatureDigital SignatureY88vNMoAmiDRV+paVyD5FaidgI5k
Ry2pCo8oEoQN/GBpIPuO3eicY
63b7xY0WDffScvkOZsZ1442ewa
bI7Wzd22pw==

B. Request Body

FieldTypeDescriptionRequiredExample
product_codestringUnique identifier for the producttrue"BUS"
keywordstringKeyword for find the departure locationfalse"band"

C. Sample Request

{
  "product_code": "BUS",
  "keyword": "band"
}

D. Response Body

FieldTypeDescriptionExample
response_codestringContains the OpenAPI response code“201022001”
response_messagestringContains the value of OpenAPI response message“Berhasil dibuat”
data objectThe object containing boarding location info
citiesarray of objectsThe list of objects containing cities data from the departure point
id`intThe ID of the city436
namestringThe name of the city or departure name“Bandung”
addressstringThe address or location of departure“Semua terminal /
titik keberangkatan di Bandung”
typestringType or location of departure“CITY”
terminalsarray of objectsThe list of objects containing terminals data from departure point
idintThe ID of the terminal271038
namestringThe name of the terminal or departure name“Bandung trace center (btc)”
addressstringThe terminal address or location of departure“”
typestringThe type of departure“LOCATION”

E. Sample Response

{
    "response_code": "201022001",
    "response_message": "Berhasil dibuat",
    "data": {
        "cities": [
            {
                "id": 436,
                "name": "Bandung",
                "address": "Semua terminal / titik kedatangan di  Bandung",
                "type": "CITY"
            }
        ],
        "terminals": [
            {
                "id": 271038,
                "name": "Bandung trace center (btc)",
                "address": "",
                "type": "LOCATION"
            }
        ]
    }
}

Try It Here (Form)

To try the following endpoint, enter the example request data you want to use in the following form


Body Params
string
string
Headers
date-time
string
Responses

Language
Credentials
OAuth2
URL
LoadingLoading…
Response
Click Try It! to start a request and see the response here! Or choose an example:
application/json